> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/eventtimeline/transportmode.md).

# TransportMode

## TransportMode API

<table data-header-hidden><thead><tr><th width="191.13543701171875"></th><th></th></tr></thead><tbody><tr><td>BICYCLE</td><td>Transport mode of type bicycle.</td></tr><tr><td>BUS</td><td>Transport mode of type bus.</td></tr><tr><td>CAR</td><td>Transport mode of type car.</td></tr><tr><td>IDLE</td><td>Transport mode of type idle, representing a short moment of inactivity.</td></tr><tr><td>MOTORCYCLE</td><td>Transport mode of type motorcycle.</td></tr><tr><td>RUNNING</td><td>Transport mode of type running.</td></tr><tr><td>TRAIN</td><td>Transport mode of type train.</td></tr><tr><td>TRAM</td><td>Transport mode of type tram or light rail.</td></tr><tr><td>UNKNOWN</td><td>Transport mode of unknown type.</td></tr><tr><td>WALKING</td><td>Transport mode of type walking.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/eventtimeline/transportmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
